if GAMESTATE:IsHumanPlayer(PLAYER_1) then
	stepsr = (GAMESTATE:GetCurrentSteps(PLAYER_1):GetDifficulty())
	if stepsr == "Difficulty_Beginner" then stepsr = 0 end
	if stepsr == "Difficulty_Easy" then stepsr = 1 end
	if stepsr == "Difficulty_Medium" then stepsr = 2 end
	if stepsr == "Difficulty_Hard" then stepsr = 3 end
	if stepsr == "Difficulty_Challenge" then stepsr = 4 end
else
	stepsr = 0
end

if GAMESTATE:IsHumanPlayer(PLAYER_2) then
	stepsr2 = (GAMESTATE:GetCurrentSteps(PLAYER_2):GetDifficulty())
	if stepsr2 == "Difficulty_Beginner" then stepsr2 = 0 end
	if stepsr2 == "Difficulty_Easy" then stepsr2 = 1 end
	if stepsr2 == "Difficulty_Medium" then stepsr2 = 2 end
	if stepsr2 == "Difficulty_Hard" then stepsr2 = 3 end
	if stepsr2 == "Difficulty_Challenge" then stepsr2 = 4 end
else
	stepsr2 = 0
end

steps = "Charts/"..stepsr
steps2 = "Charts/"..stepsr2

function GetDiffOfMasterPlayer()
	if GAMESTATE:IsHumanPlayer(PLAYER_1) and not GAMESTATE:IsHumanPlayer(PLAYER_2) then
		return stepsr
	end
	if not GAMESTATE:IsHumanPlayer(PLAYER_1) and GAMESTATE:IsHumanPlayer(PLAYER_2) then
		return stepsr2
	end
end

local t = Def.ActorFrame {}

--Ama Winning
t[#t+1] = Def.Sprite {
	Texture="Ama 7x4.png";
	Frame0000=0;
	Delay0000=0.066;
	Frame0001=1;
	Delay0001=0.066;
	Frame0002=2;
	Delay0002=0.066;
	Frame0003=3;
	Delay0003=0.066;
	Frame0004=4;
	Delay0004=0.132;
	Frame0005=3;
	Delay0005=0.066;
	Frame0006=2;
	Delay0006=0.066;
	Frame0007=1;
	Delay0007=0.066;
	Frame0008=5;
	Delay0008=0.066;
	Frame0009=6;
	Delay0009=0.066;
	Frame0010=7;
	Delay0010=0.066;
	Frame0011=8;
	Delay0011=0.066;
	Frame0012=9;
	Delay0012=0.132;
	Frame0013=8;
	Delay0013=0.066;
	Frame0014=7;
	Delay0014=0.066;
	Frame0015=6;
	Delay0015=0.066;
	
	Frame0016=18;
	Delay0016=0.066;
	Frame0017=19;
	Delay0017=0.066;
	Frame0018=20;
	Delay0018=0.066;
	Frame0019=21;
	Delay0019=0.066;
	Frame0020=22;
	Delay0020=0.396;
	Frame0021=23;
	Delay0021=0.396;
	Frame0022=20;
	Delay0022=0.066;
	Frame0023=19;
	Delay0023=0.066;
	Frame0024=24;
	Delay0024=0.066;
	
	InitCommand=cmd(diffusealpha,0;sleep,2.866;diffusealpha,1;sleep,22.8;diffusealpha,0;queuecommand,"Stop");
	StopCommand=cmd(stoptweening);
	Condition=GAMESTATE:IsHumanPlayer(PLAYER_2) and GetDiffOfMasterPlayer()==4
};

--AmaLosing
t[#t+1] = Def.Sprite {
	Texture="Ama 7x4.png";
	Frame0000=0;
	Delay0000=0.066;
	Frame0001=1;
	Delay0001=0.066;
	Frame0002=2;
	Delay0002=0.066;
	Frame0003=3;
	Delay0003=0.066;
	Frame0004=4;
	Delay0004=0.132;
	Frame0005=3;
	Delay0005=0.066;
	Frame0006=2;
	Delay0006=0.066;
	Frame0007=1;
	Delay0007=0.066;
	Frame0008=5;
	Delay0008=0.066;
	Frame0009=6;
	Delay0009=0.066;
	Frame0010=7;
	Delay0010=0.066;
	Frame0011=8;
	Delay0011=0.066;
	Frame0012=9;
	Delay0012=0.132;
	Frame0013=8;
	Delay0013=0.066;
	Frame0014=7;
	Delay0014=0.066;
	Frame0015=6;
	Delay0015=0.066;
	
	Frame0016=10;
	Delay0016=0.066;
	Frame0017=11;
	Delay0017=0.066;
	Frame0018=12;
	Delay0018=0.066;
	Frame0019=13;
	Delay0019=0.066;
	Frame0020=14;
	Delay0020=0.066;
	Frame0021=15;
	Delay0021=0.066;
	Frame0022=16;
	Delay0022=0.132;
	Frame0023=17;
	Delay0023=0.132;
	Frame0024=16;
	Delay0024=0.132;
	Frame0025=17;
	Delay0025=0.132;
	Frame0026=16;
	Delay0026=0.132;
	Frame0027=12;
	Delay0027=0.066;
	Frame0028=11;
	Delay0028=0.066;
	Frame0029=10;
	Delay0029=0.066;
	
	InitCommand=cmd(diffusealpha,0;sleep,2.866;diffusealpha,1;sleep,22.8;diffusealpha,0;queuecommand,"Stop");
	StopCommand=cmd(stoptweening);
	Condition=not GAMESTATE:IsHumanPlayer(PLAYER_2) and GetDiffOfMasterPlayer()~=4
};

--Ama Idle
t[#t+1] = Def.Sprite {
	Texture="Ama 7x4.png";
	Frame0000=0;
	Delay0000=0.066;
	Frame0001=1;
	Delay0001=0.066;
	Frame0002=2;
	Delay0002=0.066;
	Frame0003=3;
	Delay0003=0.066;
	Frame0004=4;
	Delay0004=0.132;
	Frame0005=3;
	Delay0005=0.066;
	Frame0006=2;
	Delay0006=0.066;
	Frame0007=1;
	Delay0007=0.066;
	Frame0008=5;
	Delay0008=0.066;
	Frame0009=6;
	Delay0009=0.066;
	Frame0010=7;
	Delay0010=0.066;
	Frame0011=8;
	Delay0011=0.066;
	Frame0012=9;
	Delay0012=0.132;
	Frame0013=8;
	Delay0013=0.066;
	Frame0014=7;
	Delay0014=0.066;
	Frame0015=6;
	Delay0015=0.066;
	
	InitCommand=cmd(setstate,15;diffusealpha,0;sleep,1;diffusealpha,1;sleep,1.866;diffusealpha,0;queuecommand,"Stop");
	StopCommand=cmd(stoptweening);
};

return t