if GAMESTATE:IsHumanPlayer(PLAYER_1) then
	steps = (GAMESTATE:GetCurrentSteps(PLAYER_1):GetDifficulty())
	if steps == "Difficulty_Beginner" then steps = 0 end
	if steps == "Difficulty_Easy" then steps = 1 end
	if steps == "Difficulty_Medium" then steps = 2 end
	if steps == "Difficulty_Hard" then steps = 3 end
	if steps == "Difficulty_Challenge" then steps = 4 end
else
	steps = 0
end

if GAMESTATE:IsHumanPlayer(PLAYER_2) then
	steps2 = (GAMESTATE:GetCurrentSteps(PLAYER_2):GetDifficulty())
	if steps2 == "Difficulty_Beginner" then steps2 = 0 end
	if steps2 == "Difficulty_Easy" then steps2 = 1 end
	if steps2 == "Difficulty_Medium" then steps2 = 2 end
	if steps2 == "Difficulty_Hard" then steps2 = 3 end
	if steps2 == "Difficulty_Challenge" then steps2 = 4 end
else
	steps2 = 0
end

function GetDiffOfMasterPlayer()
	if GAMESTATE:IsHumanPlayer(PLAYER_1) and not GAMESTATE:IsHumanPlayer(PLAYER_2) then
		return steps
	end
	if not GAMESTATE:IsHumanPlayer(PLAYER_1) and GAMESTATE:IsHumanPlayer(PLAYER_2) then
		return steps2
	end
end

local t = Def.ActorFrame{
	
	LoadActor("Bamboo-bg2-sm5.png")..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffusealpha,0;sleep,.3;linear,.9;diffusealpha,1;sleep,3.6*5.5;linear,2;diffusealpha,0;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4
	};
	LoadActor("Bamboo-bg2-sm5-double.png")..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffusealpha,0;sleep,.3;linear,.9;diffusealpha,1;sleep,3.6*5.5;linear,2;diffusealpha,0;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	
	--Doubles
	LoadActor('chart4 1')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.5;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;linear,.6;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor('chart4 2')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.5;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*1;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor('chart4 3')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.5;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*2;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor('chart4 4')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.5;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*3;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor('chart4 5')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.5;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*4;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor('chart4 6')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.5;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*5;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,1.8;cropleft,0.47;linear,1.2;cropleft,0.87;linear,0.1;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	
	--Doubles music line
	LoadActor("music line double.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT;horizalign,right;vertalign,top;sleep,3.6*0;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor("music line double.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT;horizalign,right;vertalign,top;sleep,3.6*1;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor("music line double.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT;horizalign,right;vertalign,top;sleep,3.6*2;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor("music line double.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT;horizalign,right;vertalign,top;sleep,3.6*3;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor("music line double.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT;horizalign,right;vertalign,top;sleep,3.6*4;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	LoadActor("music line double.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT;horizalign,right;vertalign,top;sleep,3.6*5;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,1.8;x,(SCREEN_WIDTH*0.5);linear,1.2;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*4.4);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()==4
	};
	
	--Player 1 notes
	LoadActor('chart'..steps..' 1')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.25;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;linear,.6;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor('chart'..steps..' 2')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.25;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*1;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor('chart'..steps..' 3')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.25;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*2;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor('chart'..steps..' 4')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.25;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*3;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor('chart'..steps..' 5')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.25;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*4;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor('chart'..steps..' 6')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.25;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*5;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,1.8;cropleft,0.47;linear,1.2;cropleft,0.87;linear,0.1;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	
	--music lines p1
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*0;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*1;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*2;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*3;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*4;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_TOP;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*5;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,1.8;x,(SCREEN_WIDTH*0.5);linear,1.2;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*4.4);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_1)
	};

	--Player 2 notes
	LoadActor('chart'..steps2..' 1')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.75;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;linear,.6;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor('chart'..steps2..' 2')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.75;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*1;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor('chart'..steps2..' 3')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.75;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*2;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor('chart'..steps2..' 4')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.75;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*3;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor('chart'..steps2..' 5')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.75;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*4;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,3.6;cropleft,0.87;linear,0.3;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor('chart'..steps2..' 6')..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.75;zoomtoheight,SCREEN_HEIGHT/2;zoomtowidth,SCREEN_WIDTH;diffusealpha,0;sleep,3.6*5;sleep,.3;linear,.3;cropleft,0.03;diffusealpha,1;linear,0.6;sleep,0;cropleft,0.07;linear,1.8;cropleft,0.47;linear,1.2;cropleft,0.87;linear,0.1;cropleft,1;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	
	--music lines p2
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_HEIGHT/2;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*0;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_HEIGHT/2;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*1;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_HEIGHT/2;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*2;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_HEIGHT/2;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*3;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_HEIGHT/2;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*4;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,3.6;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*1.7);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	LoadActor("music line.png")..{
		OnCommand=cmd(x,((-(SCREEN_WIDTH*0.5)-(SCREEN_WIDTH*0.1))/2);y,SCREEN_HEIGHT/2;zoomtoheight,SCREEN_HEIGHT/2;horizalign,right;vertalign,top;sleep,3.6*5;linear,1.2;x,(SCREEN_WIDTH*0.1);linear,1.8;x,(SCREEN_WIDTH*0.5);linear,1.2;x,(SCREEN_WIDTH*0.9);linear,3.6;x,(SCREEN_WIDTH*4.4);queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
		Condition=GetDiffOfMasterPlayer()~=4 and GAMESTATE:IsHumanPlayer(PLAYER_2)
	};
	
};

return t;